OsmoBSC - Bug #3942

ttcn3-bsc-test handover tests receive unexpected CRCX
04/18/2019 04:57 PM - daniel
Category:

Target version:

Spec Reference:

Description

History

#1 - 04/18/2019 05:45 PM - daniel

- Subject changed from ttcn3-bsc-test handover tests are failin to ttcn3-bsc-test handover tests receive unexpected CRCX
- Status changed from New to In Progress

- Assignee set to daniel

- Priority changed from Normal to High

Couldn't find Expect for CRCX{ line := { verb := "CRCX", trans_id := "226", ep := "rtpbridge/*Q@mgw", ver := "1
.0" }, params := { { code := "C", val := "4" }, { code := "M", wval := "sendrecv" } }, sdp := { protocol_versio
n := 0, origin := { user_name := "-", session_id := "4", session_version := "23", net_type := "IN", addr_type
= "IP4", addr := "172.18.2.20" }, session_name := "-", information := omit, uri := omit, emails := omit, phon
e_numbers := omit, connection := { net_type := "IN", addr_type := "IP4", conn_addr := { addr := "1.2.3.4", ttl
:= omit, num_of_addr := omit } }, bandwidth := omit, times := { { time_field := { start_time := "0", stop_tim
e := "O0" }, time_repeat := omit } }, timezone_adjustments := omit, key := omit, attributes := omit, media_list
:= { { media_field := { media := "audio", ports := { port_number := 2342, num_of_ports := omit }, transport
= "RTP/AVP", fmts := { "3" } }, information := omit, connections := omit, bandwidth := omit, key := omit, attr
ibutes := { { ptime := { attr_value := "20" } } } } } } }

BSC_Tests.ttcn:4044 BSC_Tests control part
BSC_Tests.ttcn:3326 TC_ho_in_fail _msc_clears_after_ho_detect testcase

It seems osmo-bsc sends a second CRCX:

Compare pcap files around packets 75-85:
https://jenkins.osmocom.org/jenkins/view/TTCN3/job/ttcn3-bsc-test/562/artifact/logs/bsc-tester/BSC_Tests. TC_ho_in_fail_msc_clears_after_ho_detec
t.pcap

and

https://jenkins.osmocom.org/jenkins/view/TTCN3/job/ttcn3-bsc-test/568/artifact/logs/bsc-tester/BSC_Tests. TC_ho_in_fail_msc_clears_after_ho_detec
t.pcap

#2 - 04/18/2019 05:46 PM - daniel
- % Done changed from 0 to 50

After fixing an issue in the bisect script it seems that the culprit is

commit 94c9324fe07cd0bal277278270c8979d949%9e49%ec

Author: Neels Hofmeyr <neels@hofmeyr.de>

Date: Thu Mar 14 04:36:40 2019 +0100
fix inter-BSC-HO-incoming for AoIP (1/2)
Move the HO_ST_WAIT_MGW_ENDPOINT_TO_MSC state up to right after the lchan is
done establishing. For AoIP, the local RTP address towards the MSC already
needs to be known before the Handover Request Acknowledge is sent, so the AoIP
Transport Layer Address IE can be included. This patch only modifies the
handover FSM, a subsequent patch adds the IE.

Change-Id: I4ab5acdb2d4a0b947cc0c62067a67be88a3d467ff

Resetting at least fixes TC_ho_in_fail_no_detect, probably the others as well
#3 - 04/30/2019 01:23 AM - daniel
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

The patch in question is reverted for now and the tests are passing again.
